Bug 237414 - buffer overflow in obexftpd
Summary: buffer overflow in obexftpd
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: obexftp (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-22 11:57 UTC by Tim Wegener
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.22-0.1.pre4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-27 16:59:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console output from obexftpd session (3.11 KB, application/octet-stream)
2007-04-22 11:57 UTC, Tim Wegener
no flags Details

Description Tim Wegener 2007-04-22 11:57:31 UTC
Description of problem:
Served a directory like so:
obexftpd -c ~/some_dir/ -b
When connecting to this host from another Bluetooth device (a Nokia N800)
obexftpd crashes with "buffer overflow detected" message.

Version-Release number of selected component (if applicable):
obexftp-0.20-3.fc6

How reproducible:
Always

Steps to Reproduce:
1. obexftpd -c ~/some_dir/ -b
2. attempt to connect to this machine from an N800 internet tablet (file manager)
3. obexftpd crashes
  
Actual results:
See attachment.

Expected results:
Remote Bluetooth device should be able to access share.

Additional info:
The USB Bluetooth dongle is working fine for other Bluetooth tasks.

Comment 1 Tim Wegener 2007-04-22 11:57:31 UTC
Created attachment 153250 [details]
console output from obexftpd session

Comment 2 Dominik 'Rathann' Mierzejewski 2007-04-23 20:03:34 UTC
Thank you for the report. I've backported the 0.22-pre4 version from devel,
which contains a fix for this. It should be available shortly. Please test and
report back.

Comment 3 Tim Wegener 2007-04-27 14:34:07 UTC
Thanks! It works fine now. :-)


Comment 4 Dominik 'Rathann' Mierzejewski 2007-04-27 16:59:14 UTC
Great!


Note You need to log in before you can comment on or make changes to this bug.